import { View, Dimensions } from "react-native";
import React from "react";
import tw from "tailwind-rn";

const { width, height } = Dimensions.get("window");

const ImageSlider = ({}) => {
  return (
    <View
      style={[
        tw("flex flex-row justify-center items-center absolute left-0 top-0"),
        { width : width, height : height, backgroundColor: "black", zIndex : 1 },
      ]}
    ></View>
  );
};

export default ImageSlider;
