import proxy from "../proxy";
const product = {
  listVOD:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("product/listVOD", data, { dispatch }),
  addVOD:
    (data = {}, data2 = {}) =>
    async (dispatch) => {
      await proxy.post("product/addVOD", data);
      await proxy.get("product/listVOD", data2, { dispatch });
    },
  deleteVOD:
    (data = {}, data2 = {}) =>
    async (dispatch) => {
      await proxy.delete("product/deleteVOD", data);
      await proxy.get("product/listVOD", data2, { dispatch });
    },
  selectVOD:
    (data = {}) =>
    async (dispatch) => {
      await dispatch({ type: "product/selectVOD", data });
    },
};

export default product;
