import proxy from "../proxy";
const publicApi = {
  setLTR: (data) => async (dispatch) =>
    await dispatch({ type: "public/setLtr", data: data }),
  setIsDark: (data) => async (dispatch) =>
    await dispatch({ type: "public/setIsDark", data: data }),
  getHomeData: (data) => async (dispatch) =>
    await proxy.get("public/homePage", data, { dispatch }),
  setFaqActive: (data) => async (dispatch) =>
    await dispatch({ type: "public/faq/activate", data: data }),
  bookInfo:
    (data = {}, data2 = {}) =>
    async (dispatch) => {
      await proxy.get("public/vod/bookCourse", data, { dispatch });
      await proxy.get("book/info", data2, { dispatch });
    },
  bookSection:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/vod/bookSection", data, { dispatch }),
  getContactData:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/contact", data, { dispatch }),

  getBlogList: (data) => async (dispatch) =>
    await proxy.get("public/blogList", data, { dispatch }),
  getBlogInfo: (data) => async (dispatch) =>
    await proxy.get("public/blogInfo", data, { dispatch }),
  setSubscribe: (data) => async (dispatch) =>
    await dispatch({ type: "public/setSubscribe", data: data }),
  getProvince:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/province", data, { dispatch }),
  getCity:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/city", data, { dispatch }),
  selectMenu: (data) => async (dispatch) =>
    await dispatch({ type: "public/selectMenu", data: data }),
  getHeader:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("public/VOD/homePage", data, { dispatch }),
  activeCategory: (data) => async (dispatch) =>
    await dispatch({ type: "active/category", data: data }),
  setVideoActive: (data) => async (dispatch) =>
    await dispatch({ type: "active/video", data: data }),
  getArList: (data, history) => async (dispatch) =>
    await proxy.get("public/ar", data, { history, dispatch }),
};

export default publicApi;
