import proxy from "../proxy";
const userFactor = {
  //dnvn
  list:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("userFactor/list", data, { dispatch }),
  payment:
    (data = {}, data2 = {}) =>
    async (dispatch) => {
      await proxy.post("userFactor/payment", data, { dispatch });
    },
  add:
    (data = {}, data2 = {}) =>
    async (dispatch) => {
      await proxy.post("userFactor/add", data, { dispatch });
      await proxy.get("userFactor/list", data2, { dispatch });
    },
  del:
    (data = {}, data2 = {}) =>
    async (dispatch) => {
      await proxy.delete("userFactor/delete", data);
      await proxy.get("userFactor/list", data2, { dispatch });
    },

  //vod
  payment:
    (data1 = {}, data2 = {}) =>
    async (dispatch) => {
      await proxy.post("userProduct/addVOD", data1, { dispatch });
      await proxy.post("userFactor/paymentVOD", data2, { dispatch });
    },
  verify:
    (data = {}) =>
    async (dispatch) =>
      await proxy.post("userFactor/verifyVOD", data, { dispatch }),
  info:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("userFactor/info", data, { dispatch }),
  update:
    (data = {}, data2 = {}) =>
    async (dispatch) => {
      await proxy.put("userFactor/update", data, { dispatch });
      await proxy.get("userFactor/info", data2, { dispatch });
    },
  deleteUserOffCode:
    (data = {}, data2 = {}) =>
    async (dispatch) => {
      await proxy.delete("userFactor/deleteUserOffCode", data, { dispatch });
      await proxy.get("userFactor/info", data2, { dispatch });
    },
  fullList:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("userFactor/fullList", data, { dispatch }),
};

export default userFactor;
