import {asyncAwesomeAlert} from '../../utils/AsyncWrappers';

const initialState = {
  loading: false,
  error: null,
  listVOD: [],
  selectedVOD: null,
};
export default function product(state = initialState, action) {
  let { type, data } = action;
  switch (type) {
    case "product/listVOD":
      return { ...state, loading: false, listVOD: data, error: null };
    case "product/addVOD":
      return { ...state, loading: false, error: null };
    case "product/deleteVOD":
      return { ...state, loading: false, error: null };
      case "product/selectVOD":
        return {...state, selectedVOD : data};
    case "product/loading":
      return { ...state, loading: true };
    case "product/error":
      asyncAwesomeAlert("خطا", data.message, {
        showCancelButton: false,
        confirmText: "باشه"
      });
      return { ...state, loading: false, error: data.message };
    default:
      return state;
  }
}
