import {  WebView } from "react-native-webview";
import {SafeAreaView, Platform, StatusBar} from "react-native";
import React from "react";

import Navbar from "../../../components/Navbar";

const Sample = ({route}) => {
  return (
    <SafeAreaView
      style={{
        paddingTop: Platform.OS === "android" ? StatusBar.currentHeight : 0,
        position: "relative",
        flex : 1
      }}
    >
      <Navbar
        // setBoxPosition={setBoxPosition}
        headerOptions={{
          logo: false,
          menu: false,
          hamburgerMenu: false,
          title: "",
          bookmark: false,
          qr: false,
          back: true,
        }}
      />
      <WebView
        source={{
          uri: `https://dnvn.ir/xpdf/${route.params.id}`,
        }}
        style={{ flex: 1 }}
      ></WebView>
    </SafeAreaView>
  );
};

export default Sample;