import { Dimensions } from "react-native"
import { fontSizeHandler } from "../utils/fontSizeResponsive"

const {width} = Dimensions.get("window");
const minWidth = 320;
const maxWidth = 1200;

const fontSize = {
  xs : fontSizeHandler(width, 10, 12, minWidth, maxWidth),
  sm : fontSizeHandler(width,12, 14, minWidth, maxWidth),
  base : fontSizeHandler(width, 14, 16, minWidth, maxWidth),
  lg : fontSizeHandler(width, 16 , 18, minWidth, maxWidth),
  xl : fontSizeHandler(width, 18, 20, minWidth, maxWidth),
  xl2 : fontSizeHandler(width, 20, 22, minWidth, maxWidth),
  xl3 : fontSizeHandler(width, 22, 24, minWidth, maxWidth),
  xl4 : fontSizeHandler(width, 24, 26, minWidth, maxWidth),
  xl5 : fontSizeHandler(width, 26, 28, minWidth, maxWidth),
  xl6 : fontSizeHandler(width, 28, 30, minWidth, maxWidth)
};

export default fontSize;