import proxy from "../proxy";
const book = {
  list:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("book/list", data, { dispatch }),
  info:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("book/info", data, { dispatch }),
  setLessonActive: (data) => async (dispatch) =>
    await dispatch({ type: "book/lesson/active", data: data }),
  setFilterOptions: (data) => async (dispatch) => {
    dispatch({ type: "book/setFilterOptions", data: data });
  },
};

export default book;
