import { Alert } from "react-native"
let awesomeResolve
const onConfirm = () => {
  awesomeResolve(true)
}
const onCancel = () => {
  awesomeResolve(false)
}
let apiResolverArray = []
const resolver = ()=>{
  for(let item of apiResolverArray){
    item(true)
  }
  apiResolverArray = []
}
export const asyncAlert = async (title, message, buttons, options) => new Promise((resolve) => {
  for (let i in buttons) {
    buttons[i].onPress = () => {
      resolve(buttons[i].value)
    }
    delete buttons.value
  }
  Alert.alert(title, message, buttons, options)
})

export const asyncAwesomeAlert = async (title, message, options) => new Promise((resolve) => {
  awesomeResolve  = resolve
  global.globalAlert({
    show: true,
    onConfirm: onConfirm,
    onCancel: onCancel,
    title,
    message,
    ...options
  })
})

export const asyncApiAwesomeAlert = async (title, message, options) => new Promise((resolve) => {
  apiResolverArray.push(resolve)
  global.globalApiAlert({
    show: true,
    onConfirm: resolver,
    onCancel: ()=>{},
    title,
    message,
    ...options
  })
})

export const asyncSleep = function sleep(ms) {
  return new Promise(resolve => setTimeout(resolve, ms));
}
export const randomApiSleep = function randomApiSleep() {
  return new Promise(resolve => setTimeout(resolve, Math.ceil(Math.random() * 1000 + 10)))
}