const ExtraDimension = require('react-native-extra-dimensions-android')
import { Dimensions } from "react-native"
import { isSoftMenuBarEnabled } from "react-native-extra-dimensions-android"

const getHeight = () => {
    var height = Math.round(Dimensions.get('window').height)

    if (isSoftMenuBarEnabled()) {
        height = height - ExtraDimension.get("STATUS_BAR_HEIGHT")
    }

    return height
}

export const viewportWidth = ExtraDimension.get("REAL_WINDOW_WIDTH")
export const viewportHeight = getHeight()

