export const fontSizeHandler = (
  currentWidth,
  minimumFontSize,
  maximumFontSize,
  minimumWidth,
  maximumWidth
) => {
  const alpha = (currentWidth - minimumWidth) / (maximumWidth - minimumWidth);
  const deltaFontSize = maximumFontSize - minimumFontSize;
  const currentFontSize = minimumFontSize + deltaFontSize * alpha;
  return currentFontSize;
};
